org.h2.util

## Interface CacheWriter

All Known Implementing Classes:
  PageStore, TestCache

    public interface CacheWriter

The cache writer is called by the cache to persist changed data that needs to be removed from the cache.

### Method Summary

Methods
`void` `flushLog()` Flush the transaction log, so that entries can be removed from the cache.
`Trace` `getTrace()` Get the trace writer.
`void` `writeBack(CacheObject entry)` Persist a record.

### Method Detail

#### writeBack

    void writeBack(CacheObject entry)

Persist a record.

Parameters:
  `entry` - the cache entry

#### flushLog

    void flushLog()

Flush the transaction log, so that entries can be removed from the cache. This is only required if the cache is full and contains data that is not yet written to the log. It is required to write the log entries to the log first, because the log is 'write ahead'.

#### getTrace

    Trace getTrace()

Get the trace writer.

Returns:
  the trace writer